Subject: Re: PGDOCS - function pg_get_publication_tables is not documented?

From: Tom Lane <[email-masked]>
Date: Thu, 23 Mar 2023 18:26:01 -0400

Peter Smith <[email-masked]> writes:
> While reviewing another thread [1] I could not find the function
> 'pg_get_publication_tables' described anywhere in the PG
> documentation.
> Should it be mentioned somewhere like the "System Catalog Information
> Functions" table [2], or was this one deliberately omitted for some
> reason?

It's not documented because it's intended only as infrastructure
for the pg_publication_tables view.  (There are some other functions
in the same category.)

I do see a docs change that I think would be worth making: get
rid of the explicit mention of it in create_subscription.sgml
in favor of using that view.

			regards, tom lane